Bug 223969 - Package requires stricter BR (libgnomeui2-devel, gnome-icon-theme)
Package requires stricter BR (libgnomeui2-devel, gnome-icon-theme)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-23 07:36 EST by Moritz Barsnick
Modified: 2008-05-06 21:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2007-01-23 07:36:01 EST
Description of problem:
The current SPEC file of evince requires stricter (or enhanced) BuildRequires.

Version-Release number of selected component (if applicable):
0.7.1-1

How reproducible:
always

Steps to Reproduce:
1. use FC6
2. rpmbuild --rebuild [...] evince-0.7.1-1.fc7.src.rpm
  
Actual results:
Example:

checking for FRONTEND_CORE... configure: error: Package requirements (gtk+-2.0 
>= 2.8.15 libgnomeui-2.0 >= 2.14.0 gnome-icon-theme >= 2.17.1 libglade-2.0) 
were not met:

Requested 'gnome-icon-theme >= 2.17.1' but version of gnome-icon-theme is 
2.16.0.1

Expected results:
BR catches this ahead of time.

Additional info:
Fix:
-BuildRequires: libgnomeui-devel
+BuildRequires: libgnomeui-devel >= 2.14.0
+BuildRequires: gnome-icon-theme >= 2.17.1
just from looking at the "Package requirements" output above and porting it 
into BR. :-)
Comment 1 Moritz Barsnick 2007-01-23 07:46:17 EST
D'uh. use the source, Luke. :)
Looking into configure.ac, one might see that it's even stricter (though not 
affecting FC6, obviously):

DBUS_GLIB_REQUIRED=0.71
GTK_REQUIRED=2.8.15
KEYRING_REQUIRED=0.4.0
LIBGNOMEUI_REQUIRED=2.14.0
LIBGNOMEPRINTUI_REQUIRED=2.6.0
GNOME_ICON_THEME_REQUIRED=2.17.1
LIBXML_REQUIRED=2.5.0
GTK_PRINT_REQUIRED=2.10.0

So additionally:
-%define dbus_version 0.60
+%define dbus_version 0.71
-BuildRequires:  libgnomeprintui22-devel
+BuildRequires:  libgnomeprintui22-devel >= 2.6.0

and possibly:
+BuildRequires: libxml2-devel >= 2.5.0
+BuildRequires: gnome-keyring-devel >= 0.4.0

and perhaps even some versioned Requires:, depending on whether the version is 
coded into the soname of the libs or not.

All only if you want to be totally correct about it (which doesn't hurt, does 
it?).
Comment 2 Bug Zapper 2008-04-03 14:55:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:05:48 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.